%   Script FIGNORM25.M zur Gestaltung und Ausdruck von Bildern
%
%   Parametrierung der Linienstärken
%   Herstellung von .PS und .EPS-Files
%
% J. Lunze
% 11.4.1996
% 28.11.1997  (Ausschluß des Parametrierens von images)
% 30.10.1998  (Änderung von 'Fontsize')
% 6.11.1998   (Ergänzung: Schriftgröße der z-Achse verändern)
% 23.5.2001   (Änderung der MarkerSize)
% 23.2.2004   (Änderung der Schriftart auf "times")
% 15.3.2004   (Änderung von 'Fontsize')
% 26.1.2017   (FontName = Euclid; Änderung von 'Fontsize')
% 11.6.2017   neu als FIGNORM25.m  für Zeitschriftenbeiträge mit größerer
%             Schrift
%
echo off
Fig=get(0, 'Children');
for k0=1:size(Fig)
    figure(Fig(k0))
%  if get(gcf, 'Type')==figure
    Plots=get(gcf, 'Children');
    for k1=1:size(Plots)
       subplot(Plots(k1));
       set(gca, 'Box', 'on');
       set(gca, 'Fontsize', 25);                % bisher 18
       set(gca, 'LineWidth', 0.8);
       set(gca, 'FontName','Euclid');  % alle Texte in Euclid-Schrift
       set(get(gca, 'XLabel'), 'Fontsize', 25,'FontName','Euclid'); % bisher 18
       set(get(gca, 'YLabel'), 'Fontsize', 25,'FontName','Euclid'); % bisher 18
       set(get(gca, 'ZLabel'), 'Fontsize', 25,'FontName','Euclid'); % bisher 18
       set(get(gca, 'Title'), 'Fontsize', 25,'FontName','Euclid');  % bisher 18
       Objekte=get(gca, 'Children');
       for k=1:size(Objekte)
        if size(get(Objekte(k), 'Type'),2)==4  % images ausschliessen
          if get(Objekte(k), 'Type')=='line'
             set(Objekte(k), 'LineWidth', 1.5);
          end;
          if get(Objekte(k), 'Type')=='text'
             set(Objekte(k), 'Fontsize', 25,'FontName','Euclid');  % bisher 18
          end;
          if get(Objekte(k), 'Type')=='line'
             set(Objekte(k), 'MarkerSize', 8);
          end;
        end;
       end;
    end;
%  end;
end;
